Author Topic: Update van 2.8.3 met SP7 naar 2.10 mislukt  (Read 712 times)

Offline HK

  • Posts: 58
  • Gender: Male
    • Pierewaaien Scheveningen
Update van 2.8.3 met SP7 naar 2.10 mislukt
« on: January 30, 2018, 01:36:15 PM »
http://www.124media.nl
Twee keer heb ik geprobeerd mijn eigen website te updaten naar WB2.10 maar zonder succes.
Foutmelding:
Quote
There was an uncatched exception
unable to create logfile '/var/logs/php_error.log.php'
in line (94) of (/framework/initialize.php):
Bij de overdracht van de mappen en bestanden met FileZilla kreeg ik de melding dat de eerste keer 4 overdrachten waren mislukt en de tweede keer zelfs 12. FileZilla geeft als reden voor de mislukking: Map aanmaken. Ik heb een xml file gemaakt van die meldingen maar ik zie dat ik hier geen xml files kan bijvoegen.
Groeten, HK Amstelveen

Offline jacobi22

  • Posts: 4946
  • Gender: Male
  • Support only via PM or EMail
    • Jacobi22
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #1 on: January 30, 2018, 01:58:15 PM »
looks, that you have a permission problem on your server - please check the settings for ftp-owner and ftp-usergroup and chmod for this folder "var"

P.S.: do you have the folder called "var" on your server? normalize, the script rebuild the complete path if not exist, but i've never test is without a var-Folder

for your xml-file: use the zip-format to add your file here
Hoffnung ist der Anfang, Enttäuschung ist das Ende.

Offline HK

  • Posts: 58
  • Gender: Male
    • Pierewaaien Scheveningen
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #2 on: January 30, 2018, 03:37:30 PM »
I do have a folder called var on my server, bestandsrechten: 755
Bijlage: zip file of the 2 xml files

Admin Edit:  Attachement download and removed
« Last Edit: January 30, 2018, 03:46:22 PM by jacobi22 »
Groeten, HK Amstelveen

Offline jacobi22

  • Posts: 4946
  • Gender: Male
  • Support only via PM or EMail
    • Jacobi22
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #3 on: January 30, 2018, 03:54:10 PM »
for me, nothing to see in this xml-files. i see the last actions, but not, why it stop's

you can try it again with filezilla, but be sure, that you select the setting  "Overwrite Files" in both settings for the files handling

Hoffnung ist der Anfang, Enttäuschung ist das Ende.

Offline jacobi22

  • Posts: 4946
  • Gender: Male
  • Support only via PM or EMail
    • Jacobi22
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #4 on: January 30, 2018, 03:56:37 PM »
filezilla-settings in your own language

Hoffnung ist der Anfang, Enttäuschung ist das Ende.

Offline HK

  • Posts: 58
  • Gender: Male
    • Pierewaaien Scheveningen
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #5 on: February 06, 2018, 09:20:43 AM »
Jacobi22, bedankt voor je reacties. Vandaag derde poging gedaan; met overschrijven bestanden:
Toch weer dezelfde foutmelding:
Quote
There was an uncatched exception
unable to create logfile '/var/logs/php_error.log.php'
in line (94) of (/framework/initialize.php):
Wat betekent dit?
Er zijn nog een paar websites die op een upgrade wachten.
Groeten, HK Amstelveen

Offline Ruud

  • Posts: 3614
  • Gender: Male
  • Do not use PM for help! Please use the forum!
    • Dev4Me - Professional WebsiteBaker Development
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #6 on: February 06, 2018, 09:40:36 AM »
Quote
There was an uncatched exception
unable to create logfile '/var/logs/php_error.log.php'
in line (94) of (/framework/initialize.php):
De foutmelding geeft aan dat WB probeert een bestand /var/logs/php_error.log te maken.
De map /var/logs/ wordt gemaakt door de FTP upload (je geeft niet aan of dat uiteindelijk is gelukt), maar blijkbaar mag de webserver daar geen bestanden in maken.

De oplossing is dan om die betreffende map "777" permissie te geven en opnieuw te proberen. Je hebt dat ongetwijfeld bij een aantal andere mappen ook al zo staan.

Je kan ook je host vragen om je hosting account (Apache/PHP) te configureren met fastCGI of mod_ruid2 (zij snappen die termen).
Met die configuraties heb je nooit meer permissie problemen.

Offline HK

  • Posts: 58
  • Gender: Male
    • Pierewaaien Scheveningen
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #7 on: February 06, 2018, 10:23:41 AM »
Ruud bedankt; het heeft gewerkt. Er zijn nog wel wat problemen met het default theme en met een paar modules; dat was ook al te zien in de lijst met mislukte overdrachten maar daar kijk ik later nog naar.
Groeten, HK Amstelveen

Offline jacobi22

  • Posts: 4946
  • Gender: Male
  • Support only via PM or EMail
    • Jacobi22
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #8 on: February 06, 2018, 11:48:10 AM »
see answer from Ruud, i'm 100% conform

tip for the default-theme
unzip the wb-package on your locale work station, copy the folder templates/ DefaultTheme, paste it into the same folder, now remane the folder, for example as DefaultTheme2.
Open the file info.php in this new folder and change
Code:
Only registered users can see contents. Please click here to Register or Login.
use for the directory the new name of the folder (for example DefaultTheme2) and for the template name, what ever you want (for example Default Theme 2)

now zip all files in this folder, index.php and info.php must be in the root of this zip

install is as a normal template via Addons -> Templates -> install

two possible results:
#1: everything works, select the "new" backend theme in your wb-option and try
#2: you get a secure offense warning (for the permission problem - not able to add a new folder)

solution - see the post from ruud
Hoffnung ist der Anfang, Enttäuschung ist das Ende.

Offline HK

  • Posts: 58
  • Gender: Male
    • Pierewaaien Scheveningen
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #9 on: February 13, 2018, 08:56:05 AM »
OK Jacobi; dit heeft gewerkt. Ik heb ook verschillende modules naar een recente versie kunnen updaten. Er is nog wel een probleem met de Image Gallery maar daarvoor is er geen recentere versie beschikbaar:
Quote
There was an uncatched exception
Call to undefined function eregi()
in line (142) of (/modules/imagegallery/view.php):
Hier een link naar een plaatje van de code waarnaar wordt verwezen: https://gyazo.com/19b61317a1bab8764ee8a8c4dbe2e53e
En een plaatje van de instellingen: https://gyazo.com/5a75cecca8693e6888317e2864a072c0
Sorry, het lukte mij niet om de afbeeldingen bij Gyazo hier inline te plaatsen.
Groeten, HK Amstelveen

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4092
  • Gender: Male
    • Webdesign und Entwicklung WebsiteBaker
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #10 on: February 13, 2018, 11:56:35 AM »
Hi,

Here is the reason


Contact the module Author to fix it

Dietmar
Immer nur von der Zukunft reden, die Gegenwart vergessen und auf die Vergangenheit schimpfen
Neues Unwort: Schnappatmung

Offline evaki

  • Posts: 1880
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #11 on: February 13, 2018, 05:26:58 PM »
>> function eregi()

Is that gonna help?

Otherwise forum search: modules/imagegallery/view.php

MfG. Evaki
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline evaki

  • Posts: 1880
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #12 on: February 13, 2018, 05:45:56 PM »
 :evil: Archiv defect
A new try, see attachment
MfG. Evaki
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline hgs

  • Betatester
  • **
  • Posts: 788
    • EFG MG
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #13 on: February 14, 2018, 11:59:24 AM »
I tested the module with WB 2.11 RC2 and php5.6. So far everything is OK and it is also as in the BE set everything in the FE displayed. There is an error message:
Code:
Only registered users can see contents. Please click here to Register or Login.
same error message with php7.2
The rest works great too with php7.2
« Last Edit: February 14, 2018, 12:06:59 PM by hgs »
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline evaki

  • Posts: 1880
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #14 on: February 14, 2018, 12:42:25 PM »
Da war doch vor kurzem was...
Die Lösung könnte hier liegen.
Wie Rübenwurzel schon andeutete, da müssen wohl ein paar Dateien korrigiert werden. Bei mir ists bis zum Wochenende jedoch eng, und da ich nicht geübt bin, artet bei mir solch eine Korrektur (gerade mal vor ner Woche gemacht) in Fummel- und Schwerstarbeit aus.
Bis zu einer vollständigen/endgültigen Korrektur könnte man die Datenbank-error-meldung (Notiz) mit @ unterdrücken.
MfG. Evaki
« Last Edit: February 14, 2018, 12:58:52 PM by evaki »
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline dbs

  • Betatester
  • **
  • Posts: 7225
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #15 on: February 14, 2018, 01:08:14 PM »
If somebody could post the line here we can maybe find a solution.
If it is something likes this: ['PAGES']['SOMETHING']
Change it to: ['PAGES_SOMETHING']

Offline evaki

  • Posts: 1880
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #16 on: February 14, 2018, 01:55:57 PM »
Wollte gerade mal unter 7.2 testen.
Leider hab ich da unter wb2.10 sofort eine andere Fehlermeldung:
[E_DEPRECATED] \include\phpmailer\PHPMailerAutoload.php:[45] from \config.php:[21] require_once "__autoload() is deprecated, use spl_autoload_regist er() instead"
Mit jedem Aufruf der php_error.log im Backend kommt derselbe Eintrag hinzu.
Da leg ich lieber erstmal hin, bevor ich in den Wald gehe.
MfG. Evaki
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline dbs

  • Betatester
  • **
  • Posts: 7225
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #17 on: February 14, 2018, 02:21:00 PM »
Why should be WB2.10 ready for PHP7.2?  :-)

Offline evaki

  • Posts: 1880
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #18 on: February 14, 2018, 02:29:36 PM »
Weil ich dort soeben die gallery "ausprobiere".  :-D
phpmail einfach ausgetauscht, und gut ist.
Aber zur Gallery.
Habe den Fehler bisher nicht reproduzieren können.
php 7.2
mysql:
sql_mode="NO_ENGINE_SUBSTITUT ION,STRICT_ALL_TABLES"
slave_exec_mode = "STRICT"
innodb_strict_mode="on"

MfG. Evaki
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline hgs

  • Betatester
  • **
  • Posts: 788
    • EFG MG
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #19 on: February 14, 2018, 02:30:56 PM »
If somebody could post the line here we can maybe find a solution.
If it is something likes this: ['PAGES']['SOMETHING']
Change it to: ['PAGES_SOMETHING']
Thanks, that works under php 5.6 and 7.2

Here is the modified module

« Last Edit: February 14, 2018, 02:36:49 PM by hgs »
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline evaki

  • Posts: 1880
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #20 on: February 14, 2018, 02:35:36 PM »
Wobei : ['PAGES']['SOMETHING'] in den bei mir aktiven Modulen "drin steckt".
Ist die neue Variante in WB2.11 (Core) gefordert?
Da wäre nämlich neue Arbeit an einigen Modulen erforderlich.
Vielleicht verwechsle ich ja nur was.
Wer erleuchtet mich, oder bitte zumindest soviel Infos, damit ich nicht ganz so doof dastehe  :-o
MfG. Evaki
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline dbs

  • Betatester
  • **
  • Posts: 7225
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #21 on: February 14, 2018, 02:41:35 PM »
Here comes the light: YES, since WB2.11 you should change ['abc']['xyz'] to ['abc_xyz'] if you find something in the errorlog.

Hier ist Licht: Ja, ab 2.11 gibt’s keine ['abc']['xyz'] mehr bzw. wird dezent im errorlog bemängelt.
Aber Lösung ist ja relativ einfach mit ['abc_xyz']

Offline evaki

  • Posts: 1880
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #22 on: February 14, 2018, 02:47:24 PM »
Wußte garnicht, daß es so einfach ist, mich glücklich zu machen.
MfG. Evaki
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline jacobi22

  • Posts: 4946
  • Gender: Male
  • Support only via PM or EMail
    • Jacobi22
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #23 on: February 14, 2018, 03:14:02 PM »
Quote
Wobei : ['PAGES']['SOMETHING'] in den bei mir aktiven Modulen "drin steckt".
Ist die neue Variante in WB2.11 (Core) gefordert?

siehe vorletzten Eintrag -> https://wiki.WebsiteBaker.org/doku.php/dev/284/deprecated

doppelter Sprachindex seit 02/2010 auf dieser Deprecated-List  :roll: :roll: :roll:
Hoffnung ist der Anfang, Enttäuschung ist das Ende.

Offline evaki

  • Posts: 1880
Re: Update van 2.8.3 met SP7 naar 2.10 mislukt
« Reply #24 on: February 14, 2018, 05:55:33 PM »
Danke, der Fingerzeig war mal wieder sinnvoll.  (Y)
Trotzdem geht es aber wahrscheinlich nicht nur mir so, daß dort zuletzt geschaut wird (hassu Pech gehabt Evaki  :-P )
Das Problem tritt gehäuft zumeist bei einem Upgrade auf, wo dann die eingesetzten Module nicht mehr oder nur eingeschränkt funktionieren. Ein uraltes Problem, was man vielleicht abmildern sollte. Wie?
Vielleicht so, daß man unter den "The most important points:" auch derartige Änderungen aufführt, die für Anwender, "Installateure" und Module-Autoren gleichermaßen von Bedeutung sind. Muß doch nicht jeder bei "Adam und Eva" anfangen bzw. voll auflaufen. Ob die Wiki-Infos "dev:284:" auch mit WB2.11 assoziiert werden, ist zwar erwartbar, darf m.E. nicht als zwingend betrachtet werden.

Mit den zu ändernden Modulen, wie aktuell die Gallery, stellt sich mir die Frage, ob das Teil nun mit der Änderung auch noch unter </=wb10.0 fehlerfrei läuft, so daß gegebenenfalls eine Versionsabfrage sinnvoll sein könnte, wenn auch nicht bei jedem Modul erfroderlich. Aber auch, nicht jeder Betrieb macht, teils aus gutem Grund, sofort ein Upgrade auf wb11.

MfG. Evaki
p.s. Vielleicht gehört dieser Teil dann auch nicht mehr zum Topic.
« Last Edit: February 14, 2018, 06:07:02 PM by evaki »
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.